summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Rettberg2025-05-28 11:12:36 +0200
committerSimon Rettberg2025-05-28 11:12:36 +0200
commitf0c927816c808014fc5caca99d5d1905397415c0 (patch)
treeb185d272e16a3b88399d1e6aaa6134cef6da7430
parent[slx-drm] Build separate initrd for nvidia drivers (diff)
downloadsystemd-init-f0c927816c808014fc5caca99d5d1905397415c0.tar.gz
systemd-init-f0c927816c808014fc5caca99d5d1905397415c0.tar.xz
systemd-init-f0c927816c808014fc5caca99d5d1905397415c0.zip
[busybox] Try random server if busybox.net is securwebinfot
-rwxr-xr-xmodules.d/busybox/module-setup.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/modules.d/busybox/module-setup.sh b/modules.d/busybox/module-setup.sh
index ebf338a1..1a17ee78 100755
--- a/modules.d/busybox/module-setup.sh
+++ b/modules.d/busybox/module-setup.sh
@@ -5,7 +5,9 @@
build() (
local base_url="https://git.openslx.org/openslx-ng/mltk.git/plain/core/modules/busybox/"
set -e
- git clone --depth 1 "$BB_GIT" --branch "$BB_BRANCH" "${moddir}/src"
+ git clone --depth 1 "$BB_GIT" --branch "$BB_BRANCH" "${moddir}/src" \
+ || git clone --depth 1 "https://github.com/mirror/busybox.git" "${moddir}/src" \
+ || return 1
# apply patches
cd "${moddir}/src"
for _patch in "$base_url"/{fbsplash-fillbg,rtcwake-compat}.patch ; do